Subject: Re: (special-mode-map): Delete binding for `z'.

From: Sam Steingold <[email-masked]>
Date: Sun, 02 Sep 2012 01:19:52 -0400

The following message is a courtesy copy of an article
that has been posted to gmane.emacs.devel as well.

> * Drew Adams <[email-masked]> [2012-09-01 19:38:28 -0700]:
>
>> I use this all the time in buffers like *Help*, 
>
> Why bother to kill *Help*?  Why do that rather than `q'?

because 'q' will eventually start showing old *Help* buffers.
because 'q' deletes the window which I want to keep.

>> *Dired* &c.  What am I supposed to use instead? C-u q?
>
> Sure, why not?  Or `q' if you don't need to kill it.

because C-u q is two keystrokes; quite often I keep hitting 'z' until I
get to a buffer where z self-inserts.

> Or `C-x v' if you want to replace it.

C-x v is the vc prefix for me.

> You want to kill Dired but you don't want to use `C-u q'.
> OK, so bind `z' to killing once again if you want to.

the question is whether this is a generally useful binding.
I think it is.

> Or is it about other special-mode buffers?  That's the useful question, to me.
> I would say forget about *Help* (which doesn't need to be killed) and Dired
> (which you sometimes don't want to kill).
>
> But are there special-mode buffers where `z' killing the buffer is really
> useful?  If so, then maybe the fix was too heavy-handed.

I don't think special-mode buffers are "precious" - they are easily
restored, so killing them accidentally should not be a problem.
Apparently others disagree.

>> How is a ding more valuable than a useful behavior?
>
> Killing the buffer is not the only or the most useful behavior `z'
> could have in Dired.  Dired is a rich mode with lots of keys already
> taken and with plenty of commands that could be bound to keys.

So bind it in dired mode. The change affects all the other special modes!

-- 
Sam Steingold (http://sds.podval.org/) on Ubuntu 12.04 (precise) X 11.0.11103000
http://www.childpsy.net/ http://dhimmi.com http://truepeace.org
http://think-israel.org http://pmw.org.il http://mideasttruth.com
Do the arithmetic or be doomed to talk nonsense. --John McCarthy